<div class="product-sales-area">
    <div class="container-fluid custom_container_fluid_padding">
        <div class="row">
            <div class="col-sm-8 col-xs-6">
                <h4 class="page-title">Gig Category</h4>
            </div>
            <div class="col-sm-4 col-xs-6 text-right">
                <a class="btn btn-primary btn-sm Add_button_custom" data-toggle="modal" data-target="#Add_Category" style="color: white;" (click)="AddcategoryPopoup()"><i class="fa fa-plus"></i> Add Category</a>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="card-box">

                    <div class="row">
                        <div class="col-md-12">
                            <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
                                <div class="panel panel-default">
                                    <div class="panel-heading" role="tab" id="headingOne" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                        <h4 class="panel-title">
                                            <a>
                                                <i class="more-less fa fa-plus"></i>
                                                <span class="searchbar_text_padding_left"> Search 
                                                </span>
                                            </a>
                                        </h4>
                                    </div>
                                    <div id="collapseOne" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingOne">
                                        <div class="panel-body">
                                            <div class="row">
                                                <div class="col-md-2 col_custom_padding">
                                                    <div class="form-group">
                                                        <label class="search_label">Category Name</label>
                                                        <input type="text" class="form-control"  placeholder="Enter Category" [(ngModel)]="searchCategory_name">
                                                    </div>
                                                </div>
                                                <!-- <div class="col-md-2 col_custom_padding">
                                                    <div class="form-group">
                                                        <label class="search_label">Category Name </label>
                                                        <input type="text" class="form-control" placeholder="Enter Category Name">
                                                    </div>
                                                </div> -->
                                                <div class="col-md-2 col_custom_padding">
                                                    <div class="form-group">
                                                        <label class="search_label">Status</label>
                                                        <select class="form-control" [(ngModel)]="getStatus.id">
                                                            <option value="2">Select Status</option>
                                                            <option value="1">Active</option>
                                                            <option value="0">Inactive</option>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-2 col_custom_padding">
                                                    <div class="">
                                                        <label class="search_label" style="width: 100%;">&nbsp;</label>
                                                        <button class="btn btn-primary search_btn_width" (click)="onSearchBtn()"><i class="fa fa-search" ></i> Search</button>
                                                    </div>
                                                </div>
                                                <!-- <div class="col-md-1 search_padding">
                                                  <div class="">
                                                      <label class="search_label">&nbsp;</label>
                                                      <button class="btn btn-primary clear_all_btn" style="position: relative;top: 22px;left: -71px;"
                                                          (click)="onClearAllClick()">Clear All</button>
                                                  </div>
                                              </div> -->
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- <div class="custom_Search_panel">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="search-box">
                                    <i class="glyphicon glyphicon-search"></i>
                                    <input type="text" id="myInput" class="form-control" placeholder="Search Here...">
                                </div>
                            </div>
                            <div class="col-md-6 text-right">
                                <div class="show_entries">
                                    <span class="show_text">Show</span>
                                    <select class="form-control">
                                        <option>10</option>
                                        <option>20</option>
                                        <option>30</option>
                                    </select> <span class="entries_text">entries</span>
                                </div>
                            </div>
                        </div>
                    </div> -->
                    
                    <div class="row">
                        <div class="col-md-12">
                            <div class="table-responsive">
                               <!--KENDO GRID START-->

                <kendo-grid [data]="gigs_categoryGriddata" height="auto" [pageSize]="pageSize" [sort]="sort" [skip]="state.skip"
                (sortChange)="sortGigs_categoryChange($event)" [filter]="state.filter" [pageable]="true" scrollable="true"
                [resizable]="true" [reorderable]="true" (dataStateChange)="gigs_categoryDataStateChange($event)"
                (pageChange)="pageChange($event)">
                           
                <kendo-grid-column field="check_all" title="CHECK ALL"
                  [headerStyle]="{'height':'40px','text-align':'center','width':'80px'}" [style]="{'width':'80px'}">
                  <ng-template kendoGridCellTemplate let-index="dataItem" let-i="rowIndex">
                    <div class="row">
                      <div class="col-md-12 row_padding text-center noPadding_xs">
                        <div style="white-space: nowrap;">
                            <input class="styled-checkbox" id="{{'styled-checkbox-41'+i}}" type="checkbox"  [(ngModel)]="index.CHECKBOX">
                            <label for="{{'styled-checkbox-41'+i}}"></label>
                            <!-- <input class="styled-checkbox" id="{{'styled-checkbox-201'+i}}" type="checkbox" [(ngModel)]="idx.CHECKBOX"
                          [disabled]="(idx.labour_status.id!=4 && idx.labour_status.id!=5) || (idx.labour_status.id==5 && idx.is_requested_for_available==true)" [name]="'styled-checkbox-201'+i">
                        <label for="{{'styled-checkbox-201'+i}}"></label> -->
                        </div>
                      </div>
                    </div>
                  </ng-template>
                </kendo-grid-column>

                <kendo-grid-column field="category_name" title="CATEGORY NAME"
                  [headerStyle]="{'height':'40px','text-align':'left','width':'160px'}" [style]="{'width':'160px'}">
                  <ng-template kendoGridCellTemplate let-index="dataItem">
                    <div class="row">
                      <div class="col-md-12 row_padding text-left noPadding_xs">
                        <div>
                          {{index.category_name}}
                        </div>
                      </div>
                    </div>
                  </ng-template>
                </kendo-grid-column>

                <kendo-grid-column field="tag_Line" title="TAG LINE"
                  [headerStyle]="{'height':'40px','text-align':'left','width':'120px'}" [style]="{'width':'120px'}">
                  <ng-template kendoGridCellTemplate let-index="dataItem">
                    <div class="row">
                      <div class="col-md-12 row_padding text-left noPadding_xs">
                        <div>
                          {{index.tagline}}
                        </div>
                      </div>
                    </div>
                  </ng-template>
                </kendo-grid-column>

               
                <kendo-grid-column field="status" title="STATUS" 
                  [headerStyle]="{'height':'40px','text-align':'center','width':'80px'}" [style]="{'width':'80px'}">
                  <ng-template kendoGridCellTemplate let-index="dataItem">
                    <div class="row">
                      <div class="col-md-12 row_padding text-center noPadding_xs">
                        <div *ngIf="index.is_active==true">                                                    
                            Active                          
                        </div>
                        <div *ngIf="index.is_active==false">                                                    
                            InActive                          
                        </div>
                      </div>
                    </div>
                  </ng-template>
                </kendo-grid-column>

                <kendo-grid-column field="action" title="ACTION"
                  [headerStyle]="{'height':'40px','text-align':'right','width':'80px'}" [style]="{'width':'80px'}">
                  <ng-template kendoGridCellTemplate let-index="dataItem">
                    <div class="row">
                      <div class="col-md-12 row_padding text-right noPadding_xs">
                        <div>
                            <a  title="Edit" data-toggle="modal" data-target="#Add_Category" (click)="onUpdate_categoryPencilBtn(index.id)"><i class="fa fa-pencil edit_icon"></i></a>
                            <a  title="Delete" data-toggle="modal" data-target="#delete_record" (click)="onDelete_singleCategory(index.id)"><i class="fa fa-trash delete_icon"></i></a>
                        </div>
                      </div>
                    </div>
                  </ng-template>
                </kendo-grid-column>

              </kendo-grid>
              <!--KENDO GRID-->
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <a class="btn btn-danger btn-sm delete_checked_row_btn" style="color: white;margin-top: 10px;">Delete</a>
                            </div>
                        </div>
                    </div>
                    <!-- <div class="row">
                        <div class="col-md-6">
                            <h5 class="showing_entries_class">Showing 1 to 5 of 5 entries</h5>
                        </div>
                        <div class="col-md-6 text-right">
                            <nav aria-label="Page navigation example">
                              <ul class="pagination">
                                <li class="page-item"><a class="page-link" href="#">Previous</a></li>
                                <li class="page-item"><a class="page-link" href="#">1</a></li>
                                <li class="page-item"><a class="page-link" href="#">2</a></li>
                                <li class="page-item"><a class="page-link" href="#">3</a></li>
                                <li class="page-item"><a class="page-link" href="#">Next</a></li>
                              </ul>
                            </nav>
                        </div>
                    </div> -->
                </div>
            </div>
        </div>
    </div>
</div>

    <!-- Add Category Modal Start -->
    <div id="Add_Category" class="modal fade" role="dialog"  *ngIf="openshowEditpop==true">
        <div class="modal-dialog custom_modal_dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" style="color: white;">Add / Edit Category</h5>
              <button type="button" class="close" data-dismiss="modal">&times;</button>
              
            </div>
            <div class="modal-body">
              <!-- <div class="row">
                  <div class="col-md-12">
                      <div class="form-group">
                          <label class="pop_label">Parent Category</label>
                          <select class="form-control">
                              <option>None</option>
                              <option>Logo Design</option>
                              <option>Mobile Design</option>
                              <option>Sales & Marketing</option>
                              <option>Web Development</option>
                          </select>
                          
                      </div>
                  </div>
              </div> -->
              <div class="row">
                  <div class="col-md-12 noPadding_xs">
                      <div class="form-group">
                          <label class="pop_label">Category Name</label>
                          <input type="text" class="form-control"  placeholder="Enter Category Name" [(ngModel)]="category_Name" 
                          required #txt_categoryName="ngModel" onpaste="return false;" maxlength="100">
                          <span class="error_msg" *ngIf="checkvalidation && txt_categoryName.errors?.required">
                            Please Enter Category Name
                          </span>
                        </div>
                  </div>
              </div>
              <div class="row">
                  <div class="col-md-12 noPadding_xs">
                      <div class="form-group">
                          <label class="pop_label">Tag Line</label>
                          <input type="text" class="form-control"  placeholder="Enter Tag Line" [(ngModel)]="tagLine" 
                          required #txt_tagLine="ngModel" onpaste="return false;" maxlength="200">
                          <span class="error_msg" *ngIf="checkvalidation && txt_tagLine.errors?.required">
                            Please Enter Tagline 
                          </span>
                        </div>
                  </div>
              </div>
              <!-- <div class="row">
                  <div class="col-md-12">
                      <div class="form-group">
                          <label class="pop_label">Choose Image <span style="color:red;">(min size 550 x 738)</span></label>
                          <div>
                              <label class=newbtn>
                                  <img id="blah" src="http://placehold.it/550x738" >
                                  <input id="pic" class='pis' onchange="readURL(this);" type="file" >
                              </label>
                          </div>
                      </div>
                  </div>
              </div> -->
              <div class="row" *ngIf="addClick==false">
                  <div class="col-md-12 noPadding_xs">
                      <div class="form-group">
                          <label class="pop_label">Status</label>
                          <select class="form-control"  disabled="disabled" [(ngModel)]="status">
                            <option value="2">Select Status</option>
                            <option value="1">Active</option>
                            <option value="0">Inactive</option>
                          </select>
                      </div>
                  </div>
              </div>
              <div class="row">
                  <div class="col-md-12 text-right noPadding_xs">
                      <a class="btn btn-success btn-sm custom_btn_css" (click)="onAdd_categoryBtn()" style="color: white;">Add</a>
                      <a class="btn btn-secondary btn-sm custom_btn_css cancel_btn_margin_left" data-dismiss="modal" (click)="onCancel_categoryPop()">Cancel</a>
                  </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- Add Category Modal End -->
      <!-- Delete Modal Start -->
      <div id="delete_record" class="modal fade" role="dialog" *ngIf="openshowDeletepop==true">
        <div class="modal-dialog custom_modal_dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" style="color: white;">Confirm Delete</h5>
              <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
              <div class="row">
                  <div class="col-md-12">
                      <h5 style="font-weight: 500;">Do you really want to delete this record?</h5>
                  </div>
              </div>
              <div class="row">
                  <div class="col-md-12 text-right">
                      <a  class="btn btn-danger btn-sm custom_btn_css custom_delete_record_btn" (click)="onDeletepopBtn()">Delete</a>
                  </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- Delete Modal End -->